#
# spec file for package k9s
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           k9s
Version:        0.21.7
Release:        bp155.2.18
Summary:        Curses based terminal UI for Kubernetes clusters
License:        Apache-2.0
URL:            https://github.com/derailed/k9s
Source:         https://github.com/derailed/k9s/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
Patch:          Makefile.diff
BuildRequires:  golang(API) >= 1.13
ExcludeArch:    s390
ExcludeArch:    %{ix86}

%description
K9s provides a curses based terminal UI to interact with your Kubernetes
clusters. The aim of this project is to make it easier to navigate, observe
and manage your applications in the wild. K9s continually watches Kubernetes
for changes and offers subsequent commands to interact with observed
Kubernetes resources.

%prep
%setup -qa1
%patch -p0

%build
make VERSION="%{version}" build

%install
# Install the binary.
mkdir -p %{buildroot}%{_bindir}/
install -m 0755 execs/k9s %{buildroot}%{_bindir}/k9s

%files
%license LICENSE
%doc README.md
%{_bindir}/k9s

%changelog
* Mon Aug 17 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.21.7:
  - see https://github.com/derailed/k9s/releases
* Mon Mar 30 2020 Michal Vyskocil <mvyskocil@opensuse.org>
- Update to version 0.18.1
  - Many bug fixes
  - Many new features (auto suggestions, revisited logs, k9 plugins)
  - see https://github.com/derailed/k9s/releases/
* Tue Feb 18 2020 Thorsten Kukuk <kukuk@suse.com>
- Update to version 0.15.2
  - Many bug fixes
  - Many new features
* Mon Jan 20 2020 Thorsten Kukuk <kukuk@suse.com>
- Update to version 0.13.0
  - Add Dracula Skin
  - Add XRay Vision
  - Bug fixes
- Update vendor.tar.gz
* Mon Jan 13 2020 Thorsten Kukuk <kukuk@suse.com>
- Update to version 0.12.0
  - Performance fixes
  - Searchable Logs
  - APIServer Dud
  - FullScreen Logs
* Tue Jan  7 2020 Thorsten Kukuk <kukuk@suse.com>
- Update to version 0.11.2
  - Many bug fixes
  - Prelimary support for Helm 3 charts
  - Major rework of the core
  - Custom skins per cluster
* Thu Nov  7 2019 kukuk@suse.de
- Initial version
